Bug 2092091 - Install Using GPT on x86_64 BIOS by Default
Summary: Install Using GPT on x86_64 BIOS by Default
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F37Changes
TreeView+ depends on / blocked
 
Reported: 2022-05-31 18:55 UTC by Ben Cotton
Modified: 2023-06-12 12:00 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-15 16:22:28 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ben Cotton 2022-05-31 18:55:36 UTC
This is a tracking bug for Change: Install Using GPT on x86_64 BIOS by Default
For more details, see: https://fedoraproject.org/wiki/Changes/GPTforBIOSbyDefault

This Change makes it so that Fedora Linux systems installed on legacy x86 BIOS systems will get GPT partitioning by default instead of legacy MBR partitioning. This makes x86 BIOS installs more similar to x86 UEFI installs.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Ben Cotton 2022-08-09 16:02:52 UTC
Today we reached the Code Complete (Testable) milestone on the F37 schedule: https://fedorapeople.org/groups/schedule/f-37/f-37-key-tasks.html

At this time, all F37 Changes should be complete enough to be testable. You can indicate this by setting this tracker to the MODIFIED status. If the Change is 100% code complete, you can set the tracker to ON_QA. If you need to defer this Change to F38, please NEEDINFO me.

Changes that have not reached at least the MODIFIED status will be given to FESCo for evaluation of contingency plans.

Comment 2 Neal Gompa 2022-08-09 21:23:56 UTC
This just landed in Anaconda upstream: https://github.com/rhinstaller/anaconda/pull/4232

Comment 3 Ben Cotton 2022-08-23 19:21:11 UTC
Today we reached the Code Complete (100% complete) milestone on the F37 schedule: https://fedorapeople.org/groups/schedule/f-37/f-37-key-tasks.html

At this time, all F37 Changes should be 100% complete. You can indicate this by setting this tracker to the ON_QA status. If you need to defer this Change to F38 please NEEDINFO me.

Note that we are entering the Beta freeze. Additional package changes to complete this Change will need an approved blocker or freeze exception. See https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process and https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process for more information.

Changes that have not reached the ON_QA status will be given to FESCo for evaluation of contingency plans.

Comment 4 Neal Gompa 2022-08-24 01:33:43 UTC
This has landed for a while now: https://koji.fedoraproject.org/koji/buildinfo?buildID=2046418

Comment 5 Ben Cotton 2022-11-15 16:22:28 UTC
F37 was released today, so I am closing this tracker. If this Change was not completed, please notify me ASAP.

Comment 6 Adam Williamson 2023-05-24 17:05:09 UTC
So, it took a while, but I figured out this caused a bit of a problem.

The patch that was merged doesn't do exactly what the bug and Change request - or rather, it does *more* than what was requested. It makes GPT the default disk label *in any situation in which blivet lists it as supported at all*. The resulting codepath is kinda strange, really, if you think it through. blivet has code that carefully constructs the list of supported disk labels in different preference orders for different situations:

https://github.com/storaged-project/blivet/blob/3.8-devel/blivet/formats/disklabel.py#L222

to me, the logical thing to do would have been to extend that so it always returns ["gpt", "msdos"] on x86_64 (but not change it otherwise). That would have achieved precisely what the Change claimed to want to do. But instead, we added code to anaconda that effectively ignores the careful logic in blivet and just always prefers GPT if it's in the list at all (unless you override it with a cmdline arg):

https://github.com/rhinstaller/anaconda/pull/4232

This affects more cases than was claimed. It's a bit hard to parse out exactly how many, but I found one specific one: this Change results in us preferring GPT disk labels on ppc64le, when we previously preferred msdos labels. And it turns out ppc64le installs to a GPT-labeled disk just don't boot, at least on qemu with SLOF (the firmware used for ppc64le qemu VMs):

https://bugzilla.redhat.com/show_bug.cgi?id=2209760

Comment 7 Adam Williamson 2023-05-26 22:17:08 UTC
blivet PR to achieve something closer to the original intent:
https://github.com/storaged-project/blivet/pull/1132

I will also write an anaconda PR to have it stop overriding blivet's ordering.

Comment 8 Adam Williamson 2023-05-26 23:28:49 UTC
anaconda PR:
https://github.com/rhinstaller/anaconda/pull/4795

Comment 9 Vladimír Slávik 2023-06-12 12:00:59 UTC
Both PRs merged now, awaiting anaconda-39.19


Note You need to log in before you can comment on or make changes to this bug.